%global momorel 1
%global md5source0 37cb592a1fa8fc31dc00cb437bbb4969

Summary: device mapper utility
Name: device-mapper
Version: 1.02.19
Release: %{momorel}m%{?dist}
License: GPL
Group: System Environment/Base
URL: http://sources.redhat.com/dm
%NoSource 0 ftp://sources.redhat.com/pub/dm/%{name}.%{version}.tgz %{md5source0}
Patch2: device-mapper-1.02.02-pkgconfigdir.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libselinux-devel, libsepol-devel
#ExcludeArch: s390 s390x

%define _exec_prefix /

%description
This package contains the supporting userspace utility, dmsetup,
for the kernel device-mapper.

%package devel
Summary: Development libraries and headers for device-mapper
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: %{name}-libs = %{version}-%{release}

%description devel
This package contains files needed to develop applications that use
the device-mapper libraries.

%package libs
Summary: Device-mapper shared library
Group: System Environment/Libraries

%description libs
This package contains the device-mapper shared library, libdevmapper.


%prep
%setup -q -n %{name}.%{version}
%if %{_lib} == "lib64"
%patch2 -p1 -b .pkgconfigdir
%endif

%build
%define _exec_prefix ""
%configure --enable-static_link --with-user= --with-group= --with-device-uid=0 --with-device-gid=6 --with-device-mode=0660 --enable-pkgconfig
%define _exec_prefix /
%make

%install
rm -rf %{buildroot}
%makeinstall

%clean
rm -rf %{buildroot}

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING COPYING.LIB INSTALL INTRO README VERSION WHATS_NEW
%attr(755,root,root) %{_sbindir}/dmsetup
%attr(755,root,root) %{_sbindir}/dmsetup.static
%{_mandir}/man8/dmsetup.8.bz2

%files devel
%defattr(-,root,root,-)
%attr(755,root,root) %{_libdir}/libdevmapper.a*
%attr(755,root,root) %{_libdir}/libdevmapper.so
%{_includedir}/libdevmapper.h
/usr/%{_lib}/pkgconfig/*.pc

%files libs
%attr(755,root,root) %{_libdir}/libdevmapper.so.*

%changelog
* Fri Jun  8 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.02.19-1m)
- update to 1.02.19

* Wed Feb  6 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.02.17-1m)
- sync with 1.02.17.6-fc7
- split -devel -libs package

* Tue Dec 12 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.02.13-1m)
- sync with 1.02.13.1-fc7

* Mon May  8 2006 Masanobu Sato <satoshiga@momonga-linux.org>
- (1.02.05-2m)
- add pkgconfigdir patch for lib64

* Sun May 07 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.02.05-1m)
- up to 1.02.05 (sync with FC 1.02.05-1.2)

* Tue Dec 27 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.02.02-2m)
- sync with Fedora CVS

* Tue Dec 27 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.02.02-1m)
- up to 1.02.02

* Mon Aug 23 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.00.19-1m)
- import from Fedora Core 2

* Fri Apr 16 2004 Bill Nottingham <notting@redhat.com> - 1.00.14-3
- fix linking against libselinux on x86-64

* Thu Apr 15 2004 Jeremy Katz <katzj@redhat.com> - 1.00.14-2
- don't error out if we get ENOTSUP setting the context

* Tue Apr 06 2004 Alasdair Kergon <agk@redhat.com> 1.00.14-1
- Fix static selinux build.

* Tue Apr 06 2004 Alasdair Kergon <agk@redhat.com> 1.00.13-1
- Set selinux context when doing mknod.

* Mon Apr 05 2004 Alasdair Kergon <agk@redhat.com> 1.00.11-1
- Cleanup build process. Add features: dmsetup targets, event_nr support.

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Dec  5 2003 Jeremy Katz <katzj@redhat.com> 1.00.07-2
- add static lib

* Tue Dec  2 2003 Jeremy Katz <katzj@redhat.com> 1.00.07-1
- Initial build.

